plugins {
    alias(libs.plugins.androidApplication)
}

android {
    namespace 'com.utopiaindustries.qualitychecker'
    compileSdk 34

    defaultConfig {
        applicationId "com.utopiaindustries.qualitychecker"
        minSdk 24
        targetSdk 34
        versionCode 8
        versionName "1.7"

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8

        coreLibraryDesugaringEnabled true
    }
}

dependencies {

    implementation libs.appcompat
    implementation libs.material
    implementation libs.activity
    implementation libs.constraintlayout
    testImplementation libs.junit
    androidTestImplementation libs.ext.junit
    androidTestImplementation libs.espresso.core
    dependencies {
        // Other dependencies
        implementation 'com.squareup.retrofit2:retrofit:2.9.0'
        implementation 'com.squareup.retrofit2:converter-gson:2.9.0'
        implementation "androidx.navigation:navigation-fragment:2.4.0"
        implementation "androidx.navigation:navigation-ui:2.4.0"
        implementation 'androidx.lifecycle:lifecycle-viewmodel:2.4.0'
        implementation 'com.github.bumptech.glide:glide:4.12.0'
        annotationProcessor 'com.github.bumptech.glide:compiler:4.12.0'
        implementation 'com.journeyapps:zxing-android-embedded:4.1.0'
        implementation 'com.squareup.okhttp3:okhttp:4.9.3'
        implementation 'com.github.MikeOrtiz:TouchImageView:3.6'
        implementation 'com.fasterxml.jackson.core:jackson-databind:2.0.1'
        implementation 'com.squareup.retrofit2:converter-jackson:2.9.0'
        coreLibraryDesugaring 'com.android.tools:desugar_jdk_libs:2.0.3'
    }
}